List Allocations
curl --request GET \
--url https://api.dfns.io/allocations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dfns.io/allocations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dfns.io/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "allctn-6a3ku-bn8d7-8u5rs1oukojms7k8",
"walletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"protocol": "0fns",
"provider": "M0",
"amount": {
"kind": "Erc20",
"contract": "0x0A7660979A67E4bC51E750C628C8479ff9F458aE",
"amount": "1000000000",
"metadata": {
"network": "EthereumSepolia",
"name": "0fns",
"symbol": "0fnsSepolia",
"decimals": 6,
"tid": "erc20:0x0A7660979A67E4bC51E750C628C8479ff9F458aE"
}
},
"rewards": {
"kind": "Erc20",
"contract": "0x0A7660979A67E4bC51E750C628C8479ff9F458aE",
"amount": "5000000",
"metadata": {
"network": "EthereumSepolia",
"name": "0fns",
"symbol": "0fnsSepolia",
"decimals": 6,
"tid": "erc20:0x0A7660979A67E4bC51E750C628C9479ff9F458aE"
}
},
"dateCreated": "2025-10-09T10:57:55.758Z"
}
],
"nextPageToken": "<string>"
}List Allocations
Lists the allocations of your organization.
GET
/
allocations
List Allocations
Authentication
✅ Organization User (CustomerEmployee)❌ Delegated User (
EndUser)✅ Service Account
Required Permissions
Allocations:Read: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
Minimum string length:
1Last modified on July 30, 2026
Was this page helpful?
⌘I